export declare namespace CouchDbOptions {
    interface Connection {
        host?: string;
        port?: number;
        auth?: AuthOptions;
        logging?: boolean;
        defaultDatabase?: string;
    }
    interface AuthOptions {
        username?: string;
        password?: string;
    }
    interface RequestOptions {
        path?: string;
        uri?: string;
        postData?: any;
        resolveWithFullResponse?: boolean;
        auth?: AuthOptions;
        json?: boolean;
        statusCodes?: {
            [key: number]: string;
        };
        headers?: {
            [key: string]: any;
        };
        body?: any;
        method?: 'GET' | 'POST' | 'PUT' | 'DELETE' | 'COPY' | 'HEAD';
    }
    interface FindOptions {
        selector?: any;
        limit?: number;
        skip?: number;
        sort?: any;
        fields?: any;
        use_index?: any;
    }
    interface FindAllOptions {
        conflicts?: boolean;
        descending?: boolean;
        endkey?: string;
        end_key?: string;
        endkey_docid?: string;
        end_key_doc_id?: string;
        include_docs?: boolean;
        inclusive_end?: boolean;
        key?: string;
        keys?: string;
        limit?: number;
        skip?: number;
        stale?: string;
        startkey?: string;
        start_key?: string;
        startkey_docid?: string;
        start_key_doc_id?: string;
        update_seq?: boolean;
    }
    interface DocumentOptions {
        attachments: boolean;
        att_encoding_info: boolean;
        atts_since: any[];
        conflicts: boolean;
        deleted_conflicts: boolean;
        latest: boolean;
        local_seq: boolean;
        meta: boolean;
        open_revs: any[];
        rev: string;
        revs: boolean;
        revs_info: boolean;
    }
}
