export declare namespace CouchDbResponse {
    interface Info {
        couchdb: string;
        uuid: string;
        vendor: {
            name: string;
            version: string;
        };
        version: string;
    }
    interface Generic {
        ok: boolean;
    }
    interface Create extends Generic {
        _id: string;
        rev: string;
    }
    interface Update extends Generic {
        id: string;
        rev: string;
    }
    interface DatabaseInfo {
        committed_update_seq: number;
        compact_running: boolean;
        db_name: string;
        disk_format_version: number;
        data_size: number;
        sizes: {
            active: number;
            external: number;
            file: number;
        };
        disk_size: number;
        doc_count: number;
        doc_del_count: number;
        instance_start_time: string;
        purge_seq: number;
        update_seq: number;
    }
    interface ParentDocument {
        id: string;
        key: string;
        value: {
            rev: string;
        };
        doc?: Document;
    }
    interface Document {
        _id: string;
        _rev?: string;
        _deleted?: boolean;
        _attachments?: object;
        _conflicts?: any[];
        _deleted_conflicts?: any[];
        _local_seq?: string;
        _revs_info?: any[];
        _revisions?: object;
        [key: string]: any;
    }
    interface AllDocuments {
        offset: number;
        rows: ParentDocument[];
        total_rows: number;
        update_seq: number;
    }
    interface Docs {
        docs: Document[];
    }
    interface Find extends Docs {
        warning: string;
        execution_stats: any;
    }
}
